This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 140451 - (IT_53724) passwd segfaults with certain UIDs
passwd segfaults with certain UIDs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pam (Show other bugs)
4.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Tomas Mraz
David Lawrence
:
Depends On:
Blocks: 137160
  Show dependency treegraph
 
Reported: 2004-11-22 17:09 EST by Johnray Fuller
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2005-091
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 06:29:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attaching strace of failure... (18.76 KB, text/plain)
2004-11-22 17:18 EST, Johnray Fuller
no flags Details

  None (edit)
Description Johnray Fuller 2004-11-22 17:09:23 EST
Description of problem:

For some reason when I have a brand new minimal rhel4 system
installed, if I manually add a user with the following /etc/passwd entry:
tk02069:x:02069:100::/home/tk02069:/bin/bash
and have /etc/shadow set to:
tk02069:!!:12726:0:00000:7:::

Trying to run passwd as root for this user generates a segfault.

Adding the user "test" with uid "02070" doesn't seem to cause this
problem.

Version-Release number of selected component (if applicable):

passwd-0.68-10
Comment 2 Johnray Fuller 2004-11-22 17:18:29 EST
Created attachment 107251 [details]
Attaching strace of failure...

strace of the following command:

passwd juan

J
Comment 3 Johnray Fuller 2004-11-22 17:20:10 EST
This is from Beta I.

J
Comment 4 Jindrich Novy 2004-11-23 03:53:26 EST
Hello Johnray,

I was able to reproduce the bug. The SIGSEGV occurs when passwd calls
pam_sm_chauthtok() from pam_unix.so module. Thus the bug is likely not
in passwd but pam.

Reassigning to pam.
Comment 5 Tomas Mraz 2004-11-23 05:15:35 EST
This is a bug in parsing passwd file entry in pam_unix module. It
parses the numbers as octals if they begin with 0.

Workaround is to remove the leading 0 in the line:
tk02069:x:2069:100::/home/tk02069:/bin/bash
Comment 17 Jay Turner 2005-04-05 07:07:13 EDT
All is well with pam-0.77-66.4 which is included in the U1-candidate trees. 
Moving to PROD_READY.
Comment 18 Tim Powers 2005-06-09 06:29:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-091.html

Note You need to log in before you can comment on or make changes to this bug.